Debian Bug report logs - #637939
live-build: lh_config documents non-supported option --syslinux-* options

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Matthijs Kooijman <matthijs@stdin.nl>

Date: Mon, 15 Aug 2011 21:09:23 UTC

Severity: minor

Found in version live-build/3.0~a21-1

Fixed in version live-build/3.0~a30-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#637939; Package live-build. (Mon, 15 Aug 2011 21:09:30 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthijs Kooijman <matthijs@stdin.nl>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 15 Aug 2011 21:09:46 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matthijs Kooijman <matthijs@stdin.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-build: lh_config documents non-supported option --syslinux-* options
Date: Mon, 15 Aug 2011 22:40:52 +0200
Package: live-build
Version: 3.0~a21-1
Severity: minor

Hi folks,

The subject pretty much says it all. Here's some command output to further
illustrate the problem:

matthijs@grubby:/tmp/foo$ man lb_config | grep syslinux-
            [--syslinux-splash FILE]
            [--syslinux-timeout SECONDS]
            [--syslinux-menu true|false]
       --syslinux-splash FILE
       --syslinux-timeout SECONDS
       --syslinux-menu true|false
matthijs@grubby:/tmp/foo$ lb config --syslinux-splash /
P: Considering defaults defined in /etc/live/build.conf
live-build: unrecognized option '--syslinux-splash'
matthijs@grubby:/tmp/foo$ lb config --syslinux-timeout /
P: Considering defaults defined in /etc/live/build.conf
live-build: unrecognized option '--syslinux-timeout'
matthijs@grubby:/tmp/foo$ lb config --syslinux-menu /
P: Considering defaults defined in /etc/live/build.conf
live-build: unrecognized option '--syslinux-menu'

Gr.

Matthijs

-- Package-specific info:

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-build depends on:
ii  debootstrap                   1.0.34     Bootstrap a basic Debian system

Versions of packages live-build recommends:
ii  cpio                          2.11-7     GNU cpio -- a program to manage ar
ii  gettext-base                  0.18.1.1-3 GNU Internationalization utilities
ii  gnu-fdisk                     1.2.4-3+b1 Linux fdisk replacement based on l

Versions of packages live-build suggests:
ii  dosfstools                 3.0.9-1       utilities for making and checking 
ii  fakeroot                   1.16-1        tool for simulating superuser priv
ii  genisoimage                9:1.1.11-2    Creates ISO-9660 CD-ROM filesystem
ii  memtest86+                 4.20-1        thorough real-mode memory tester
ii  mtools                     4.0.12-1      Tools for manipulating MSDOS files
ii  parted                     2.3-7         disk partition manipulator
ii  squashfs-tools             1:4.2-4       Tool to create and append to squas
ii  sudo                       1.7.4p6-1     Provide limited super user privile
ii  syslinux                   2:4.04+dfsg-3 collection of boot loaders
pn  uuid-runtime               <none>        (no description available)
pn  win32-loader               <none>        (no description available)

-- no debconf information




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Wed, 24 Aug 2011 17:51:11 GMT) Full text and rfc822 format available.

Notification sent to Matthijs Kooijman <matthijs@stdin.nl>:
Bug acknowledged by developer. (Wed, 24 Aug 2011 17:51:11 GMT) Full text and rfc822 format available.

Message #10 received at 637939-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 637939-close@bugs.debian.org
Subject: Bug#637939: fixed in live-build 3.0~a30-1
Date: Wed, 24 Aug 2011 17:48:04 +0000
Source: live-build
Source-Version: 3.0~a30-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive:

live-build-cgi_3.0~a30-1_all.deb
  to main/l/live-build/live-build-cgi_3.0~a30-1_all.deb
live-build-cron_3.0~a30-1_all.deb
  to main/l/live-build/live-build-cron_3.0~a30-1_all.deb
live-build_3.0~a30-1.debian.tar.gz
  to main/l/live-build/live-build_3.0~a30-1.debian.tar.gz
live-build_3.0~a30-1.dsc
  to main/l/live-build/live-build_3.0~a30-1.dsc
live-build_3.0~a30-1_all.deb
  to main/l/live-build/live-build_3.0~a30-1_all.deb
live-build_3.0~a30.orig.tar.gz
  to main/l/live-build/live-build_3.0~a30.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 637939@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 24 Aug 2011 19:37:17 +0200
Source: live-build
Binary: live-build live-build-cgi live-build-cron
Architecture: source all
Version: 3.0~a30-1
Distribution: experimental
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Debian Live - System Build Scripts
 live-build-cgi - Debian Live - System Build Scripts (cgi frontend)
 live-build-cron - Debian Live - System Build Scripts (cron autobuilder)
Closes: 635046 637939
Changes: 
 live-build (3.0~a30-1) experimental; urgency=low
 .
   [ Daniel Baumann ]
   * Enabling volatile suite for progress itself in progress mode.
   * Correcting wrong variables in volatile handling for derivatives.
 .
   [ Ben Armstrong ]
   * Removing old syslinux switches from lb_config manpage (Closes:
     #637939).
 .
   [ Daniel Baumann ]
   * Unifying lb_chroot_packagelists and lb_chroot_local-packagelists.
   * Merging in last bit of lb_chroot_local-packages into
     lb_chroot_archives (Closes: #635046).
   * Using lightdm instead of gdm3 in xfce package for wheezy and newer.
   * Moving removal of openssh-server host keys from chroot_hacks to a
     hook, that way it can be easily skipped if desired.
   * Moving removal of udev persistent rules from chroot_hacks to a hook,
     that way it can be easily skipped if desired.
Checksums-Sha1: 
 b1f67adbfe9331d1a9625f81c02f90d879ac3c8c 1299 live-build_3.0~a30-1.dsc
 986bbb406587b36201a5466cff3404f0749f8341 1824771 live-build_3.0~a30.orig.tar.gz
 d6de6cd56524f8e094bd2a19d5747ffbd319e9fd 47970 live-build_3.0~a30-1.debian.tar.gz
 62fce92a4c1aac44e63f82eb201417f4015af2ea 1132430 live-build_3.0~a30-1_all.deb
 9595d821e25fa8bfeb5c278e0b6d60523e83bd2c 61418 live-build-cgi_3.0~a30-1_all.deb
 0d7bfac6fb1482fabca4b8635576a61a6f6efe29 61442 live-build-cron_3.0~a30-1_all.deb
Checksums-Sha256: 
 0000e1e1a028b83ad89bd427d951e92c86b48090df1eb506129b920cf68a5c23 1299 live-build_3.0~a30-1.dsc
 7a64efb9b0b20b203d7ae1f85a3184d0a72207dcec16c5fd20e7fc547746c45c 1824771 live-build_3.0~a30.orig.tar.gz
 c5d846f4844dcca2240ea1f615264fae3ff35fbe897d697e6a6599693f2a508a 47970 live-build_3.0~a30-1.debian.tar.gz
 d03fb59b645dfacc3df3ce819803198f3a8bfd4fb4c4d20f78197afcf7c003b8 1132430 live-build_3.0~a30-1_all.deb
 3a80bb019de0b9ee964c661833bdf0f4322633f3ffdc16ec06d5d94536528fba 61418 live-build-cgi_3.0~a30-1_all.deb
 ade0b032505758db9d73561f7611f5eea16215a0d1ee2fc82c3a95cf17ca7956 61442 live-build-cron_3.0~a30-1_all.deb
Files: 
 8acfedb14a8ced00e021d4e8199a9b14 1299 misc optional live-build_3.0~a30-1.dsc
 821937c98db2277eeb16a924c4e82a44 1824771 misc optional live-build_3.0~a30.orig.tar.gz
 a03d06eca8d8be0264ba28467162d6bd 47970 misc optional live-build_3.0~a30-1.debian.tar.gz
 8a17addca42a8c925d3db13bda0f8240 1132430 misc optional live-build_3.0~a30-1_all.deb
 fd9176c431acb88bf933c3c0477a7382 61418 misc optional live-build-cgi_3.0~a30-1_all.deb
 c42ebce58c338a340f9721f6f40f87f9 61442 misc optional live-build-cron_3.0~a30-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk5VN68ACgkQ+C5cwEsrK54lGQCfRbROzqlfVWl23aNL00mcAp/j
mg8An2O5DTeaW1P6FK6RpXzDR5mQ4deS
=zZtx
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 26 Oct 2011 07:37:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:09:59 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.